Bug 199051 - Amarok 1.4.1 does not detect installed gstreamer/xine/etc engines.
Amarok 1.4.1 does not detect installed gstreamer/xine/etc engines.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 11:57 EDT by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 06:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2006-07-16 11:57:21 EDT
Description of problem:
I've just upgraded amarok to 1.4.1 (dated Jul/09).
Once I restarted it, it complained about missing engines.
The list of engines (under Configure Engines) is empty.

Version-Release number of selected component (if applicable):
$ rpm -qa | grep amarok
amarok-1.4.1-2.fc5.x86_64
amarok-visualisation-1.4.1-2.fc5.x86_64

$ rpm -qa | grep xine
xine-lib-1.1.2-1.fc5.x86_64
xinetd-2.3.13-6.2.1.x86_64
xine-0.99.4-5.fc5.x86_64
xine-lib-devel-1.1.2-1.fc5.x86_64

$ rpm -qa | grep gst
gstreamer-ffmpeg-0.10.1-1.fc5.x86_64
gstreamer-0.10.4-1.x86_64
gstreamer-plugins-ugly-0.10.3-1.fc5.x86_64
gstreamer08-0.8.12-5.fc5.x86_64
gstreamer-plugins-good-0.10.2-1.x86_64
gstreamer-plugins-base-0.10.5-1.x86_64
gstreamer-tools-0.10.4-1.x86_64
gstreamer-plugins-bad-0.10.3-1.fc5.x86_64
gstreamer-devel-0.10.4-1.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install latest amarok.
2.
3.
  
Actual results:
Amarok does not detect the installed engines. (gstreamer10, xine, etc)

Expected results:
Amarok should detect all installed engines. (as did 1.4.0)

Additional info:
N/A
Comment 1 Aurelien Bompard 2006-07-18 19:31:48 EDT
Amarok does not detect engines, it needs to be compiled with support for these
engines. The Xine engine cannot be included in Fedora because it contains
patented mp3 code, and the gstreamer engine was removed from amarok since 1.4.0
(it's not ready).
Comment 2 Gilboa Davara 2006-07-19 03:14:00 EDT
OK. But something -is- broken.
Maybe it's a problem with my setup, but Amarok doesn't play wav/ogg... it
general I couldn't find a -single- format that it can play...
Comment 3 Gilboa Davara 2006-07-19 03:16:04 EDT
Forgot to add:
Shouldn't I at least see esd/arts/alsa under the sound engines?
Comment 4 Aurelien Bompard 2006-07-19 04:53:22 EDT
OK, I just noticed you're on x86_64. The Gstreamer engine should be available on
this plateform, forward-ported from 1.4.1-beta1. Except it needs some patching,
and that's why you can't see it.
I'm preparing a fixed version. For a quick fix, you can run :
sed -i -e "s/24/25/g" /usr/share/services/amarok_gst10engine_plugin.desktop
The gstreamer engine should be available after a restart of amarok.
Comment 5 Gilboa Davara 2006-07-19 05:08:55 EDT
gstreamer is back.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.